# -*-mode: makefile; fill-column: 75; tab-width: 8; coding: iso-latin-1-unix -*-
#
#	$Id: Makefile,v 1.1.2.1 2002/01/24 10:08:30 idiscovery Exp $
#
#	Tools to make a Tix distribution

TIXVER=8.1.3

default:: freshen

# Freshen the distribution files - bring things up to date
freshen::	txt

txt:: ../README.txt ./README.txt

../README.txt::		../README.html
	lynx -dump file://$(PWD)/$< > $@

./README.txt::		./README.html
	lynx -dump file://$(PWD)/$< > $@

TCLSH = tclsh

# Make an emacs TAGS file
TAGS::
	(cd ..; echo library/*.tcl | xargs $(TCLSH) tools/etags.tcl )

# Make a distribution tar file
tgz::
	sh makedist.sh tix-$(TIXVER) tix-$(TIXVER)